createsummary(1)

NAME
createsummary - Scalar File Summarization Tool

SYNOPSIS
createsummary [Var Names] -batch -interactive -compress=Level -ignore-scalar-file-errors

DESCRIPTION
createsummary is a summarization tool for scalar files: it creates one GNU R data table file for each scalar. CreateSummary supports on-the-fly BZip2 compression. After startup, the program accepts the following commands from standard input (*not* as command-line arguments!):

- -varnames=Variables
    A space-separated list of output variable names to be added to the output data tables.

- -values=Values
    Sets the values of the output variables for the next scalar file to the provided space-separated values. One value for each variable has to be provided.

- -logfile=Name
    Sets the log file for the next scalar file. On an error related to this scalar file, the log file's name is displayed. This option can be used to identify bad simulation/measurement runs by pointing to the log file being created for the simulation/measurement.

- -statusfile=Name
    Sets the status file for the next scalar file. On an error related to this scalar file, the status file is deleted. This option can be used to repeat bad simulation/measurement runs by re-running the simulation/measurement on missing status files.

- -input=Filename
    Process the given scalar file.

- -skip=Prefix
    All scalars beginning with the given prefix are not written to output tables. This option can be used to filter out unneeded results.

- -simulationdirectory=Directory
    Sets the directory where to find the scalar files.

- -resultsdirectory=Directory
    Sets the directory where to write the summary tables to.

- -ignore-scalar-file-errors
    Ignore skalar file erros (that is, missing input files) instead of aborting.

ARGUMENTS
The following arguments may be provided:

Var Names
    A space-separated list of output variable names to be added to the output data tables.

-batch
    Run in batch mode. The program is aborted on errors.

-interactive
    Run in interactive mode. On errors, the program is continued.

-compress=0-9
    Sets the BZip2 compression level; 1=none, 9=highest (default).

-ignore-scalar-file-errors
    Ignore skalar file erros (that is, missing input files) instead of aborting.

EXAMPLE
Consider two simulation results test1.sca.bz2 (created with ParameterX=One) and test2.sca.bz2 (created with ParameterX=Two). The scalar files are located in the current directory, the output tables should be written to /tmp with compression level 5:
( echo "--simulationsdirectory=." && \ echo "--resultsdirectory=/tmp" && \ echo "--values=One" && \ echo "--input=test1.sca.bz2" && \ echo "--values=Two" && \ echo "--input=test2.sca.bz2" ) | createsummary "ParameterX" -compress=5

AUTHORS
Thomas Dreibholz
https://www.nntb.no/~dreibh/netperfmeter
mailto://thomas.dreibholz@gmail.com